# Create items
Create an item in Business Central for use on invoices, quotes, etc.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/items
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of an items object.
## Response
If successful, this method returns ```201 Created``` response code and an items object in the response body.
## Example
Request
Here's an example of a request.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/items
Content-type: application/json

{
    "number": "1896-S",
    "displayName": "ATHENS Desk",
    "type": "Inventory",
    "itemCategoryId": "e21a6a90-44e3-ea11-bb43-000d3a2feca1",
    "itemCategoryCode": "TABLE",
    "blocked": false,
    "gtin": "",
    "unitPrice": 1000.8,
    "priceIncludesTax": false,
    "unitCost": 780.7,
    "taxGroupId": "9f196a90-44e3-ea11-bb43-000d3a2feca1",
    "taxGroupCode": "FURNITURE",
    "baseUnitOfMeasureId": "5ca6738a-44e3-ea11-bb43-000d3a2feca1",
    "baseUnitOfMeasureCode": "PCS"

}
```
Response
Here's an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
HTTP/1.1 201 Created
Content-type: application/json

{
    "id": "fca5738a-44e3-ea11-bb43-000d3a2feca1",
    "number": "1896-S",
    "displayName": "ATHENS Desk",
    "displayName2": "",
    "type": "Inventory",
    "itemCategoryId": "e21a6a90-44e3-ea11-bb43-000d3a2feca1",
    "itemCategoryCode": "TABLE",
    "blocked": false,
    "gtin": "",
    "inventory": 0,
    "unitPrice": 1000.8,
    "priceIncludesTax": false,
    "unitCost": 780.7,
    "taxGroupId": "9f196a90-44e3-ea11-bb43-000d3a2feca1",
    "taxGroupCode": "FURNITURE",
    "baseUnitOfMeasureId": "5ca6738a-44e3-ea11-bb43-000d3a2feca1",
    "baseUnitOfMeasureCode": "PCS",
    "generalProductPostingGroupId": "019b8ec1-d83d-ee11-be71-6045bde9cbf2",
    "generalProductPostingGroupCode": "RETAIL",
    "inventoryPostingGroupId": "039e8ec1-d83d-ee11-be71-6045bde9cbf2",
    "inventoryPostingGroupCode": "RESALE",
    "lastModifiedDateTime": "2020-08-21T00:24:19.347Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_item
dynamics_item_get
dynamics_item_delete
dynamics_item_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_item_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_item_create/
